1. Tekimoto

    OP Tekimoto Advanced Member
    Newcomer

    Joined:
    Nov 24, 2018
    Messages:
    63
    Country:
    Austria
    Hello guys, I have a problem and I really need your help.
    I am trying to install an nsp(witch is perfectly fine, it is not corupted in case you ask because my friends installed it on their console normally) on my switch but I am having this problem:

    ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    Error

    An error ocurred attempting to install the NSP:

    Error:2002-4518 (0x234C02)

    Module:FS (2)

    Description: Invalid NCA(might mean missing sigpatches or a too low firmware) (4518)

    ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

    I am running on firmware version 8.1 and I am running ReiNX 2.4 with the latest Kosmos batch.

    I have tried to install it in the internal storage and the sd card with both the latest goldleaf from usb and the latest Tinfoil from usb.

    Is there really anything I can do?

    PS:I have "hacked" multiple switches (mine and my friends) but I have no idea what sigpatches are,where to find them,how to install them and what they do because I never needed them and from what I googled I didn't understood how to update them if they even need updating.

    PS2:I am pretty sure that the problem is not the installer because my friends used the same installers without problem.

    PS3:The game is pokemon sword btw and the firmware required is 8.1
     
    Last edited by Tekimoto, Nov 13, 2019
  2. leon315

    leon315 POWERLIFTER
    Member

    Joined:
    Nov 27, 2013
    Messages:
    3,081
    Country:
    Italy
    it's because you are using exFat, try to install into internal storage and see what happens, if said NSP runs fine on internal one, then it's 100% sure it's ur exFat that corrupts games.
     
  3. Tekimoto

    OP Tekimoto Advanced Member
    Newcomer

    Joined:
    Nov 24, 2018
    Messages:
    63
    Country:
    Austria
    I said that i tried that and unfortunately no sign of hope
     
  4. XaneTenshi

    XaneTenshi GBAtemp Fan
    Member

    Joined:
    Nov 24, 2013
    Messages:
    435
    Country:
    Denmark
    How the hell did you manage to install it on your friends Switch if you don’t know what SigPatches are?

    They are absolutely essential to installing and running games in CFW. I’m on my Phone right now, so can’t do too much for you, but there is a thread somewhere on here that explains what SigPatches are and where to download them. I’d try that first if I were you.

    Also, what game are you trying to install? Chances are slim, but it might require 9.0+ Firmware
     
  5. Skirlez

    Skirlez GBAtemp Regular
    Member

    Joined:
    Dec 8, 2018
    Messages:
    239
    Country:
    Israel
    There's also sigpatch-updater in hbappstore, It automatically downloads sigpatches for you. Pokemon Sword doesn't require 9.X, So you should be fine using the mentioned app.
     
  6. Tekimoto

    OP Tekimoto Advanced Member
    Newcomer

    Joined:
    Nov 24, 2018
    Messages:
    63
    Country:
    Austria
    What do you mean man?I installed nsp's many times without even knowing what sigpatches are, I just downloaded kosmos, atmosphere and Reinx files and threw them right into my SD card.What is this problem now about the sigpatches?My friend managed to install it normally and i think that may be because when he bought his used switch it was already on firmware 8.1 by updating normally through the switch menu and then we hacked it, but when I bought mine back at the day it was on firmeware 4.2 and I used DejourNx to update manually to 8.1 . Also the game that I am trying to install needs firmware 8.1 so that is not a problem.Something else is causing the problem....and I am trying to find out what....

    — Posts automatically merged - Please don't double post! —

    Thank you but I never conected my switch to the internet and I never will, So do you know any way to do this manualy, where to download the files and at exact what folder in my sd cards i should throw them in?
     
    Last edited by Tekimoto, Nov 13, 2019
  7. Skirlez

    Skirlez GBAtemp Regular
    Member

    Joined:
    Dec 8, 2018
    Messages:
    239
    Country:
    Israel
    https://gbatemp.net/threads/i-heard-that-you-guys-need-some-sweet-patches-for-atmosphere.521164/ Download the file and extract it to root
     
  8. leon315

    leon315 POWERLIFTER
    Member

    Joined:
    Nov 27, 2013
    Messages:
    3,081
    Country:
    Italy
  9. Tekimoto

    OP Tekimoto Advanced Member
    Newcomer

    Joined:
    Nov 24, 2018
    Messages:
    63
    Country:
    Austria
    Was not that included in the Latest kosmos batch?I thought that kosmos was supposed to contain the latest atmosphere files as well...
     
    Last edited by Tekimoto, Nov 13, 2019
  10. Starfire213

    Starfire213 Member
    Newcomer

    Joined:
    Oct 29, 2019
    Messages:
    12
    Country:
    United States
    sig patches aren't atmosphere files, their things that tell the switch "oh this game is real you may install it."
     
    Yoni Arousement likes this.
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - problem, Switch,